%define modulename SQLAlchemy
Name: python-module-%modulename
Version: 0.2.6
Release: alt1

Summary: Python SQL toolkit and Object Relational Mapper
License: MIT
Group: Development/Python
BuildArch: noarch
Url: http://www.python.org/pypi/%modulename
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %modulename-%version.tar.bz2

BuildPreReq: python-devel python-module-setuptools

%description
SQLAlchemy is the Python SQL toolkit and Object Relational Mapper that gives
application developers the full power and flexibility of SQL.

It provides a full suite of well known enterprise-level persistence patterns,
designed for efficient and high-performing database access, adapted into a
simple and Pythonic domain language.

%package -n python-SQLAlchemy-doc
Summary: documentation for SQLAlchemy
Group: Development/Python

%description -n python-SQLAlchemy-doc
SQLAlchemy is the Python SQL toolkit and Object Relational Mapper that gives
application developers the full power and flexibility of SQL.

This package contains the documentation for SQLAlchemy.
To use the ORM, you need the package python-module-SQLAlchemy.

%prep
%setup -n %modulename-%version

%install
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=%buildroot
install -d %buildroot%_defaultdocdir/%name
cp -r doc %buildroot%_defaultdocdir/%name/

%files 
%python_sitelibdir/sqlalchemy
%python_sitelibdir/%modulename-%version-py*.egg-info

%files -n python-SQLAlchemy-doc
%_defaultdocdir/%name

%changelog
* Thu Jul 20 2006 Alex V. Myltsev <avm@altlinux.ru> 0.2.6-alt1
- New version: bug fixes, new features re foreign keys, etc.

* Mon Jun 19 2006 Alex V. Myltsev <avm@altlinux.ru> 0.2.3-alt2
- Fixed location of docs.

* Sun Jun 18 2006 Alex V. Myltsev <avm@altlinux.ru> 0.2.3-alt1
- Initial build for Sisyphus.

